## ros-rolling-rosapi-msgs 1.1.2

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)
project(rosapi_msgs)

find_package(ament_cmake_ros REQUIRED)
find_package(builtin_interfaces REQUIRED)
find_package(rosidl_default_generators REQUIRED)

rosidl_generate_interfaces(${PROJECT_NAME}
  msg/TypeDef.msg
  srv/DeleteParam.srv
  srv/GetActionServers.srv
  srv/GetParam.srv
  srv/GetParamNames.srv
  srv/GetTime.srv
  srv/HasParam.srv
  srv/MessageDetails.srv
  srv/Nodes.srv
  srv/NodeDetails.srv
  srv/Publishers.srv
  srv/ServiceNode.srv
  srv/ServiceProviders.srv
  srv/ServiceRequestDetails.srv
  srv/ServiceResponseDetails.srv
  srv/Services.srv
  srv/ServicesForType.srv
  srv/ServiceType.srv
  srv/SetParam.srv
  srv/Subscribers.srv
  srv/Topics.srv
  srv/TopicsAndRawTypes.srv
  srv/TopicsForType.srv
  srv/TopicType.srv
  DEPENDENCIES builtin_interfaces
)

ament_export_dependencies(builtin_interfaces rosidl_default_runtime)

ament_package()

=== debian/changelog ===
ros-rolling-rosapi-msgs (1.1.2-1focal) focal; urgency=high



 -- Jihoon Lee <jihoonlee.in@gmail.com>  Mon, 03 Jan 2022 08:00:00 -0000

ros-rolling-rosapi-msgs (1.1.1-1focal) focal; urgency=high



 -- Jihoon Lee <jihoonlee.in@gmail.com>  Thu, 09 Dec 2021 08:00:00 -0000

ros-rolling-rosapi-msgs (1.1.0-1focal) focal; urgency=high

  * Move msg/srv from rosapi and rosbridge_library into separate packages; enable Rolling in CI (#665 <https://github.com/RobotWebTools/rosbridge_suite/issues/665>)
  * Contributors: Jacob Bandes-Storch

 -- Jihoon Lee <jihoonlee.in@gmail.com>  Fri, 22 Oct 2021 07:00:00 -0000

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/rolling/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/rolling" \
		-DAMENT_PREFIX_PATH="/opt/ros/rolling" \
		-DCMAKE_PREFIX_PATH="/opt/ros/rolling"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-rolling-rosapi-msgs//opt/ros/rolling/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_auto_install

## ros-rolling-rosapi-msgs 1.3.1

=== debian/changelog ===
ros-rolling-rosapi-msgs (1.3.1-2jammy) jammy; urgency=high



 -- Jihoon Lee <jihoonlee.in@gmail.com>  Fri, 21 Oct 2022 07:00:00 -0000

ros-rolling-rosapi-msgs (1.3.0-2jammy) jammy; urgency=high



 -- Jihoon Lee <jihoonlee.in@gmail.com>  Tue, 16 Aug 2022 07:00:00 -0000

ros-rolling-rosapi-msgs (1.2.0-2jammy) jammy; urgency=high

  * Added /rosapi/get_ros_version service (#708 <https://github.com/RobotWebTools/rosbridge_suite/issues/708>)
  * Contributors: Jacob Bandes-Storch, Kedus Mathewos

 -- Jihoon Lee <jihoonlee.in@gmail.com>  Fri, 20 May 2022 07:00:00 -0000

ros-rolling-rosapi-msgs (1.1.2-2jammy) jammy; urgency=high



 -- Jihoon Lee <jihoonlee.in@gmail.com>  Mon, 03 Jan 2022 08:00:00 -0000

ros-rolling-rosapi-msgs (1.1.1-2jammy) jammy; urgency=high



 -- Jihoon Lee <jihoonlee.in@gmail.com>  Thu, 09 Dec 2021 08:00:00 -0000

ros-rolling-rosapi-msgs (1.1.0-2jammy) jammy; urgency=high

  * Move msg/srv from rosapi and rosbridge_library into separate packages; enable Rolling in CI (#665 <https://github.com/RobotWebTools/rosbridge_suite/issues/665>)
  * Contributors: Jacob Bandes-Storch

 -- Jihoon Lee <jihoonlee.in@gmail.com>  Fri, 22 Oct 2021 07:00:00 -0000

=== debian/control ===
Source: ros-rolling-rosapi-msgs
Section: misc
Priority: optional
Maintainer: Jihoon Lee <jihoonlee.in@gmail.com>
Build-Depends: debhelper (>= 9.0.0), ros-rolling-ament-cmake-ros, ros-rolling-builtin-interfaces, ros-rolling-rosidl-default-generators, ros-rolling-ros-workspace, ros-rolling-rosidl-typesupport-fastrtps-c, ros-rolling-rosidl-typesupport-fastrtps-cpp
Homepage: http://ros.org/wiki/rosapi
Standards-Version: 3.9.2

Package: ros-rolling-rosapi-msgs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-rolling-builtin-interfaces, ros-rolling-rcl-interfaces, ros-rolling-rosidl-default-runtime, ros-rolling-ros-workspace
Description: Provides service calls for getting ros meta-information, like list of topics, services, params, etc.

=== debian/rules ===
--- 
+++ 
@@ -17,9 +17,14 @@
 # Explicitly enable -DNDEBUG, see:
 # 	https://github.com/ros-infrastructure/bloom/issues/327
 export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
+ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
+	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF
+endif
+
+DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
 
 %:
-	dh $@ -v --buildsystem=cmake
+	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)
 
 override_dh_auto_configure:
 	# In case we're installing to a non-standard location, look for a setup.sh
@@ -29,7 +34,8 @@
 	dh_auto_configure -- \
 		-DCMAKE_INSTALL_PREFIX="/opt/ros/rolling" \
 		-DAMENT_PREFIX_PATH="/opt/ros/rolling" \
-		-DCMAKE_PREFIX_PATH="/opt/ros/rolling"
+		-DCMAKE_PREFIX_PATH="/opt/ros/rolling" \
+		$(BUILD_TESTING_ARG)
 
 override_dh_auto_build:
 	# In case we're installing to a non-standard location, look for a setup.sh
